Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        GNU arch revision control system
Name:           tla
Version:        1.3.5
Release:        1
License:        GNU/GPL
URL:            http://www.gnu.org/software/gnu-arch/
Group:          Development/Tools
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-generate-manpage.pl
# Patch0 from SuSE 9.1's tla-1.2-15
Patch0:         %{name}-1.2pre0-posix.patch
# Patch1 and Source1 from Debian's 1.3.3-3, the latter updated for 1.3.4.
Patch1:         %{name}-1.3.3-sysneon.patch
Patch2:         %{name}-remove-invariant.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  neon-devel, which
Requires:       tar, diffutils, patch

%description
GNU arch is a revision control system, similar in purpose to tools
such as CVS, SCCS, and Subversion.  It is used to keep track of the
changes made to a source tree and to help programmers combine and
otherwise manipulate changes made by multiple people or at different
times.  GNU arch has some features that make it particularly useful
for public free software projects: it's easy to learn; it's
inexpensive and easy to administer; it's a distributed system so
there's no need to give write permission to every project participant;
it has excellent support for the kinds of branching and merging that
can make a free software project team shine.

%prep
%setup -q
cd src
%patch0 -p0
cd ..
rm -rf src/libneon
rm -rf src/expat
%patch1 -p1
%patch2 -p1

%build
mkdir src/build
cd src/build
../configure \
  --prefix=%{_prefix} --with-install-link-tools=yes --with-cc=gcc
make

# put the documentation in a reasonable spot and only include html/css files
mkdir -p docs-tla/html
(cd ../docs-tla; find .  -name \*.css -o -name \*.html | xargs tar -cf- ) | \
(cd docs-tla/html; tar -xf-)
cd ../..

mkdir -p debian/tmp
PATH="`pwd`/src/build/tla/tla:$PATH" perl %{SOURCE1} tla.1

%install
rm -rf $RPM_BUILD_ROOT
make -C src/build install \
    destdir=$RPM_BUILD_ROOT
install -Dpm 644 debian/tmp/tla.1 $RPM_BUILD_ROOT%{_mandir}/man1/tla.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc src/COPYING src/tla/ChangeLog src/build/docs-tla/html/
%{_bindir}/make-links
%{_bindir}/remove-links
%{_bindir}/tla
%{_mandir}/man1/tla.1*

%changelog
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-1
- Version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.3.4-1
- Initial Release using SPEC from fedora core 6

